%%%%%%%%%%% Reinforcement Problem 4.1 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Third-order system ----
%
clear
disp('Reinforcement Problem 4.1')
Ts = 0.1;
A =  [0.85  -0.56 0.22
      0.2    0.11   1
     -0.25   0.5    0]
B = [1 0 0]'
C = [0.58 -0.30 0.16]
D=0
%------ build as SS model & verify stability --------
Gss  = ss(A,B,C,D,Ts)
disp('pole magnitudes are:')
abs(pole(Gss))
disp('*******>')
pause

%---- convert from SS to TF form and then back to SS form
Gtf  = tf(Gss)
Gss1 = ss(Gtf)
[A1,B1,C1,D1] = ssdata(Gss1)
disp('*******>'); pause

%---- convert from SS to ZPK form and then back to SS form
Gzpk = zpk(Gss) 
Gss2 = ss(Gzpk)
[A2,B2,C2,D2] = ssdata(Gss2)
%%%%%%%%%%






