%%%%%%%%%% Reinforcement Problem 4.13 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Fourth-order system ----
%
clear
disp('Reinforcement Problem 4.13')
Ts = 0.5;
A = [-0.819 0.148 0.0277 0.00398
       0    0.670 0.255  0.0535
       0    0     0.606  0.238  
       0    0      0     0.368];
B = [0.00111
     0.021
     0.155
     0.632]; 
C = [1 0 1 0]
D = 0.5;

%------ build as SS model --------
G = ss(A,B,C,D,Ts)
disp('G(z) as SS object')
disp('*******>')
pause

%----- eigenvectors & transformed A matrix
[M,Ad] = eig(A) 
disp('eigenvectors & transformed A matrix')
disp('*******>')
pause

%----- transformed input & output matrices
Bd = inv(M)*B
Cd = C*M
disp('transformed input & output matrices')
%%%%%%%%%%
