%%%%%%%%%%% Reinforcement Problem 4.5 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%   ---- Feedback connection of G1(z) and G2(z) ----
%
clear
disp('Reinforcement Problem 4.5')
Ts = 0.2;
%
numG1 = [0.75 -1.35 0.61];
denG1 = [1 -1.62 0.73];
G1tf  = tf(numG1,denG1,Ts)
disp('G1(z) ')
disp('*******>')
pause
%
numG2 = [0.38 0.33];
denG2 = [1 -1.14 0.61];
G2tf  = tf(numG2,denG2,Ts)
disp('G2(z) ')
disp('*******>')
pause
%
Gfbk  = feedback(G1tf,G2tf)
Gfbkss = ss(Gfbk)
[mag_pfdbk,theta_pfdbk] = xy2p(pole(Gfbkss));
%%%%%%%%%%
