%%%%%%%%%% Reinforcement Problem 5.12 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
disp('Reinforcement Problem 5.12')

Ts = 0.1
Gs = tf(10,conv([1 0],[1 10]))
Kz = tf([1 -0.5],[1 -0.8],0.1)
Gz = c2d(Gs,Ts,'zoh')
Gcl = feedback(Gz*Kz,1)
pCL = pole(Gcl)
abs(pCL)
angle(pCL)
%%%%%%%%%%