%%%%%%%%%%%%%%%%% Example 10.1 %%%%%%%%%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Controllability matrix ----
%
clear
disp('Example 10.1')

Ts = 0.1;
A = [0.81   -0.23   -0.045;    % state matrix
     0.09    0.98   -0.0023;
     0.005   0.10    1     ];
B = [0.09 0.0047 0.00016]';    % input matrix
Co = ctrb(A,B)                 % controllability matrix
c_eig = rank(Co)               % number of controllable eigenvalues

polesA = eig(A)		           % need these for example 10.3
[mag_p,theta_z] = xy2p(polesA);
%%%%%%%%%%
