%%%%%%%%%%% Reinforcement Problem 2.9 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Third-order system with one repeated pole ---
%
clear
disp('Reinforcement Problem 2.9')
numG = [0.6 0.4]
denG = [1 0.4 -0.35 -0.15]
[rGoz,pGoz,otherGoz] = residue(numG,[denG 0]) 
G = tf(numG,denG,1);
[y,k] = impulse(G);
figure
stem(k,y,'filled');grid
title('Impulse response for Reinforcement Problem 2.9')
%%%%%%%%%%