%%%%%%%%%%%%%%%%%% Example 5.7 %%%%%%%%%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- ZOH discretization ----
%
clear
disp('Example 5.7')

A = [-4 -3; 1 0], B = [1; 0]  % state-space matrices
C = [1 5], D = 0
disp('******>'), pause
Gp = ss(A,B,C,D)              % continuous-time state-space model
disp('******>'), pause
Ts = 0.1                      % sampling period
Gpz_zoh = c2d(Gp,Ts,'zoh')    % ZOH discretization of Gp(s)
%%%%%%%%%%